Version 1.37.2 - Wednesday, 1st April 2026
- Fixed: LESS Compiler - PHP 8+ warning "Undefined variable $ltype_" caused by string interpolation ambiguity in evaluate method.
- Fixed: Woo Products - Pagination breaks with multiple module instances on the same page, causing both modules to jump to the same page number.
- Fixed: Woo Products - Module invisible on frontend when product query returns no results (e.g., imported settings with non-existent category ID).
- Fixed: Advanced Accordion - Duplicate CSS generated for text and icon color properties.

Version 1.37.1 - Tuesday, 10th March 2026
- Fixed: Retina Image - Alt text from WordPress Media Library not used when Custom Alt Text field is empty.
- Fixed: SVG Animator – Non-SVG image uploads (JPG, PNG, GIF, etc.) rejected with "not a valid photo extension" error in all Beaver Builder modules.

Version 1.37.0 - Monday, 9th March 2026
- New: Added SVG Animator Module.
- Fixed: Fancy Text - Animation effects (type, swirl, blinds, wave, clip) not displaying translated text with TranslatePress plugin.

Version 1.36.18, Monday, 16th February 2026
- Fixed: Testimonials - Slider arrow and dot styling broken with latest Beaver Builder update due to navigation elements changing from anchor to button tags.
- Fixed: Heading - Removed incorrect aria-label on linked headings that overrode the visible heading text.

Version 1.36.17, Monday, 9th February 2026
- Fixed: Button color not working correctly after BB 2.10 update.
- Fixed: Before After Slider module - Alt Text not retrived for added images.

Version 1.36.16, Thursday, 15th January 2026
- Added: Cloudflare Turnstile – Added anti-spam protection to Login and Registration form modules. 
- Added: Filter support to Google Map new API to display reviews in a language other than English
- Added: Responsive Flexibility for Image Carousel Settings.
- Fixed: Button title attribute for accessibility purpose.
- Fixed: Advanced Posts module Grid layout breaking when used as saved rows content in Advance Tabs.

Version 1.36.15, Wednesday, 10th December 2025
- Fixed: Resolved the issue for function _load_textdomain_just_in_time was called incorrectly.
- Fixed: Interactive Banner 1 – Resolved hover layout issue where long descriptions hide the icon and button.
- Fixed: Off Canvas - Fixed Z-index issue.
- Fixed: Hotspot – Tooltip is now fully accessible via keyboard navigation.

Version 1.36.14, Monday, 17th November 2025
- Added: Advance Timeline - Filter uabb_timeline_the_date_format to change date format in Custom Timeline.
- Fixed: Accordion - Fixed the accessibility issue with the UABB Accordion module.
- Fixed: FAQ - Fixed the accessibility issue with the UABB FAQ module.

Version 1.36.13, Thursday, 16th October 2025
- Fixed: Advanced Tabs - Clicking on tab links added on same page were not hiding sibling tab content. 
- Fixed: Blog Posts - Fatal error coming when taxonomy is not there.
- Fixed: FAQ Schema - Not showing video when adding embed code in content.
- Fixed: Progress Bar – Default value now set to 0% on frontend and 50% in editor preview.
- Fixed: Photo Gallery - Lightbox not coming properly when used as saved module content in Modal popup Module.

Version 1.36.12, Tuesday, 19th August 2025
- Fixed: UABB Global Settings not rendering with Latest Beaver Builder versions.
- Fixed: Slide Box - Button alignment in "Slide Box Back" section doesn't work properly.
- Fixed: Countdown - Evergreen countdown timer not displaying the correct time consistently.

Version 1.36.11, Tuesday, 29th July 2025
- Improvement: Login Form - reCAPTCHA integration support.
- Fixed: UABB Templates not displaying.
- Fixed: Advanced Accordion - Title tag can be used with custom HTML tags.
- Fixed: Advanced Posts - Title tag can be used with custom HTML tags.
- Fixed: Photo Gallery - HTML tag based Caption not escaping properly in Lightbox.
- Fixed: Testimonials - Fixed the accessibility issue with the UABB Testimonials module carousel.
- Fixed: Creative Link - Fixed the issue with relative URLs.
- Fixed: Advanced Timeline - Layouts rendering issue when module is added in advanced tab content using saved row.

Version 1.36.10, Monday, 16th June 2025
- Improvement: Optimized codebase and improved code quality.

Version 1.36.9, Thursday, 12th June 2025
- Improvement: Video - Added Bunny.net stream support.
- Improvement: Video Gallery - Added Bunny.net stream support.
- Fixed: Advanced Tab - Tabs collapse issue in mobile devices with Saved Row.
- Fixed: Countdown - Resolved issue with error when different timezone is selected.
- Fixed: Resolved HTML render issue in modules.

Version 1.36.8, Thursday, 5th June 2025
- Improvement: Enhanced the codebase to strengthen security measures.
- Improvement: Modal Popup - Improved handling of iframe src inside popup after closing the modal.
- Fixed: Testimonials – Accessibility issues with unlabeled buttons and non-functional icons exposed to screen readers.
- Fixed: Button Alignment issue in modules with Beaver Builder version 2.9

Version 1.36.7, Tuesday, 6th May 2025
- Fixed: Resolved PHP error with NPS library.
- Fixed: Resolved the issue for function _load_textdomain_just_in_time was called incorrectly in WP 6.8.

Version 1.36.6, Thursday, 17th April 2025
- Fixed: Resolved a Fatal error Class "Astra_Notices" not found when Beaver Builder plugin is not activated.

Version 1.36.5, Tuesday, 15th April 2025
- Improvement: Improved accessibility compliance throughout the plugin.
- Improvement: Photo Gallery - Added lazy loading to images and improved loading performance in the module.
- Improvement: Table – Added support for WPML to translate table headers and content.
- Improvement: Video - Added support for dynamic content in the Video module.
- Fixed: Resolved an issue where column settings caused content to be incorrectly aligned inside the Beaver Builder editor.

Version 1.36.4, Tuesday, 1st April 2025
- Improvement: Business Reviews - Added support to the New Google Place API.
- Improvement: Social Share - Changed Twitter share button label to "X (Twitter)".

Version 1.36.3, Tuesday, 18th March 2025
- This update addressed a security bug. Please make sure you are using the latest version on your website.
- Fixed: Ensured `load_plugin_textdomain` is properly loaded for localization support.

Version 1.36.2, Monday, 3rd March 2025
- Improvement: Advanced Tabs - Added alt attribute for content type Photo.
- Improvement: Gravity Form Styler - Applied CSS changes to ensure proper font styling for select fields.
- Improvement: Testimonials – Improved accessibility for navigation arrows in slider layout.
- Improvement: User Registration Form - Validation message added to ensure the phone number entered is correct.
- Fixed: Off-Canvas - Module now works properly with the Sticky Header in the Beaver Themer layout.
- Fixed: Testimonials - Resolved display issue causing stars to not show correctly when used with the Star Rating.
- Fixed: User Registration Form - Resolved a fatal error that blocked form submission when the username field was not required.

Version 1.36.1, Thursday , 6th February 2025
- Fixed: Resolved page editor issue in Beaver Builder when the site language is set to French by correcting a translation problem.

Version 1.36.0, Tuesday, 4th February 2025
- New: UABB Pro now includes translations for Dutch, French, Spanish, and German enhancing multilingual accessibility.
- New: Added NPS Survey to gather your valuable feedback for UABB Pro!
- Fixed: Resolved a fatal error when using built-in module templates with Beaver Builder, ensuring compatibility with both row and module templates.
- Fixed: Info Box - Resolved icon alignment issue when increasing border width.

Version 1.35.27, Tuesday, 12th November 2024
- Fixed: Advanced Accordion - Resolved CSS rendering issue.
- Fixed: Advanced Posts -  Ensured mouse pointer visibility CTA type Complete Box.
- Fixed: Info Box - Fixed nested <a> tags for CTA type complete box. 

Version 1.35.26, Tuesday, 15th October 2024
- Fixed: Info Box - Hover color was not applying correctly.
- Fixed: Resolved CSS rendering issue for Advanced Accordion and Advanced Tabs.

Version 1.35.25, Monday, 7th October 2024
- Fixed: Default color fallback logic when the background color is not set for Advanced Accordion and Advanced Tabs.
- Fixed: Info Box - Corrected image/icon alignment when positioned to the left of the text and heading.
- Fixed: Testimonials - Improved Accessibility for form label.

Version 1.35.24, Wednesday, 2nd October 2024
- Improvement: Compatibility with Beaver Builder 2.9
- Improvement: Enhanced opacity handling for color presets in some modules.
- Improvement: Resolved high contrast accessibility issues for Info Box, Info List, and Advanced Posts modules.
- Improvement: Video - Addressed deprecated dynamic property creation in a class.
- Fixed: Advanced Menu - Collapsible menu was displaying on page load.
- Fixed: Info List - Resolved text overlapping issue with Slidebox module when opened.
- Fixed: Login Form – Updated Google Sign In as per latest Google guidelines.
- Deprecated: Login Form – Removed Social Buttons border-radius.

Version 1.35.23, Wednesday, 24th July 2024
- Improvement: Hardened the security of plugin.
- Improvement: Compatibility with latest WordPress version 6.6.
- Improvement: Advanced Posts - Improved accessibility by adding the missing title attribute to the "Read more" link.
- Improvement: Table - Added a label to the search field for better accessibility.
- Fixed: Info Circle - Icon Alignment fixed on mobile devices.
- Fixed: Video Gallery - Fixed division by zero error when calculating play icon size.
- Fixed: Video - Special characters appearing in HTML attributes.

Version 1.35.22, Monday, 17th June 2024
- Improvement: User Registration Form - Improved codebase for New user role.
- Fixed: Resolved CSS rendering issue when button style is transparent.

Version 1.35.21, Thursday, 23th May 2024
- Improvement: Compatibility with PHP version 8.3.
- Improvement: Table - Improved Accessibility for Search field.
- Fixed: Advanced Posts - Spacing appears below when the featured image position is set to background.
- Fixed: Advanced Posts - Display of posts to match the assigned number of columns in the device layout.
- Fixed: Advanced Posts - Resolved PHP warning for an undefined variable when showing tags.
- Fixed: Color picker not loading for modules.
- Fixed: Contact Form 7 Styler - Placeholders font-family corrected.
- Fixed: Flip Box - Box content bounce on page load.
- Fixed: Info Circle - On responsive devices, the content is hidden behind the background image overlay.
- Fixed: Opacity setting not working for some modules.

Version 1.35.20, Tuesday, 9th April 2024
- Fixed: Color picker not loading for some WooCommerce modules.
- Fixed: Contact Form 7 Styler - Dropdown icon not displaying correctly when Font Awesome PRO is active in Beaver Builder.
- Fixed: Gravity Form Styler - Undefined array offset issue.
- Fixed: Gravity Form Styler - The font-family of the placeholder changes after applying color to it.
- Fixed: Image Carousel - Opacity setting for overlay color is not working.
- Fixed: Image Carousel - Image is open in a tab instead of light box.
- Fixed: Photo Gallery - Scroll feature does not work correctly.
- Fixed: Video - Added Alt attribute support for video play button.

Version 1.35.19, Friday, 9th February 2024
- Improvement: Compatibility with Beaver Builder 2.8
- Improvement: Compatibility with PHP version 8.2.
- Improvement: Added support for Global Colors selection in UABB modules.
- Fixed: Flip Box - Text overlapping issue on iOS devices.
- Fixed: Gravity Form Styler - Dropdown icon not displaying correctly when Font Awesome PRO is active in Beaver Builder.
- Fixed: Gravity Form Styler - Padding and Height adjustments not getting applied when added to the Textarea field.
- Fixed: Gravity Form Styler - Button styling controls not working.
- Fixed: Modal Popup- Vimeo videos will play automatically when autoplay is set to 'Yes'.
- Fixed: Woo - Mini Cart - Quantity icons are not showing on product pages with Mini Cart in the header themer layout.
- Fixed: Woo Products - Price typography option not reflecting the chosen color settings. 

Version 1.35.18, Tuesday, 19th December 2023
- Fixed: Advanced Accordion - Accessibility issue with tabindex.
- Fixed: Hotspot - Video inside tooltip keeps playing after closing tooltip.
- Fixed: Modal Popup - Page scrolls to the top when popup is shown on iPhone devices.
- Fixed: Photo Gallery - All tab filter not working when revisited.
- Fixed: Photo Gallery - Default Tab on Page Load setting not working when category name contains only digits.
- Fixed: Video - Wistia video thumbnails not showing up correctly.
- Fixed: Video Gallery - Wistia video thumbnails not showing up correctly.
- Fixed: Woo-Categories - Title & description text appearing vertical on page load.

Version 1.35.17, Thursday, 23rd November 2023
- Improvement: Advanced Menu - Improved accessibility by adding title attribute to Hamburger SVG and aria-haspopup attribute to menu items.
- Improvement: Advanced Posts - Added filter hook to filter the Taxonomy for Taxonomy Badge.
- Improvement: Added new Twitter icon to Ultimate Icons font.
- Improvement: Social Share - Updated Twitter icon to new.
- Fixed: Modal Popup - Scrolling issue on iPhone devices with Automatic popup.
- Fixed: Modal Popup - Resolved PHP notice when Vimeo video thumbnail is empty.
- Fixed: Photo Gallery - Filterable tabs not working when Default Category Name is set to "All" tab label.
- Fixed: Photo Gallery - Grid layout issue on iOS version 17.
- Fixed: Template Cloud - Installed templates not shown in Beaver Builder editor.

Version 1.35.16, Wednesday, 11th October 2023
- Improvement: Compatibility with WordPress VIP Go rules.
- Improvement: Use of relative path instead of absolute path while registering templates downloaded from template cloud.
- Fixed: Advanced Posts - Columns layout not working properly with Grid option on Safari browser.
- Fixed: Price Box - Corner Ribbon layout issue when spacing is added between boxes.
- Fixed: Video - Video requires double click to play on desktop.

Version 1.35.15, Monday, 25th September 2023
- Improvement: Improved Security.

Version 1.35.14, Friday, 22nd September 2023
- Improvement: Presets - Elevated security measures through the implementation of sanitization. Props to Patchstack for their confidential reporting to our team.
- Improvement: User Registration Form - Enhanced security by providing access to New User Role setting only for Administrator role. Props to Patchstack for discreetly reporting this to our team.
- Fixed: Advanced Posts - ACF Relationship option for Source setting is not working.

Version 1.35.13, Thursday, 14th September 2023
- Fixed: Advanced Menu - Resolved PHP warning for undefined variable.

Version 1.35.12, Wednesday, 13th Septemeber 2023
- Improvement: Added compatibility with PHP version 8.1.
- Improvement: Table - Added alt attribute support for Photo in Table Header and Content cells.
- Improvement: Video - Made play button accessible through keyboard to play video.
- Fixed: Advanced Posts - Layout alignment issue with Grid layout option.
- Fixed: Image Carousel - Layout rendering issue when multiple modules are added in Content Toggle / Advanced Tabs / Advanced Accordion content.

Version 1.35.11, Wednesday, 23rd August 2023
- Improvement: Advanced tabs - Made tabs accessible through keyboard.
- Improvement: Clear Beaver Builder cache when UABB is updated.
- Fixed: Image Carousel - Layout issue in responsive mode when parent column is set to Reverse Order.

Version 1.35.10, Thursday, 10th August 2023
- Fixed: Interactive Banner 2 - Page automatically scrolls to the module on load.

Version 1.35.9, Thursday, 3rd August 2023
- Improvement: Advanced Posts - Added aria-label attribute to the Post link to improve accessibility.
- Improvement: Dual Color Heading - Added WPML support for After text and Background text.
- Improvement: Interactive Banner 2 - Made banner accessible through keyboard.
- Fixed: Advanced Menu - Below Row responsive layout not working properly.
- Fixed: Advanced Posts - Columns layout not working properly in some cases.
- Fixed: Video - Videos autoplaying even if autoplay is set to no.

Version 1.35.8, Thursday, 6th July 2023
- Fixed: CF7 Styler - Radio button custom style not working.
- Fixed: Devices - Videos getting autoplayed on first page load even if autoplay is disabled.
- Fixed: Google Map - Resolved JS warning in console.
- Fixed: Modal Popup - Issue with Vimeo private/unlisted videos.
- Fixed: Presets feature not working properly.
- Fixed: Table - Media file selector popup does not appear for selecting CSV file as source.
- Fixed: Video - Issue with Vimeo private/unlisted videos.
- Fixed: Video Gallery - Show Vimeo private/unlisted videos if videos are set to play inline.

Version 1.35.7, Wednesday, 14th June 2023
- Improvement: FAQ Schema- Improved accessibility by adding proper role attributes.
- Fixed: BB editor panel layout issue when UABB Template Sections are installed.
- Fixed: Woo - Mini Cart - Quantity Plus and Minus layout broken with Astra theme.

Version 1.35.6, Monday, 15th May 2023
- Fixed: Advanced Posts - Styles not loaded with BB Themer latest version 1.4.6.

Version 1.35.5, Wednesday, 10th May 2023
- Fixed: Modal Popup - Saved content type not getting fetched with BB version 2.7.
- Fixed: Modal Popup - Popup is not displayed in preview and on frontend with BB version 2.7.
- Fixed: Off-Canvas - Saved content type not getting fetched with BB version 2.7.
- Fixed: Off-Canvas - Off-Canvas is not displayed in preview with BB version 2.7.
- Fixed: The UABB Global Settings cannot be saved with BB version 2.7.

Version 1.35.4, Thursday, 20th April 2023
- Improvement: Optimised taxonomy term loops in loop settings file.
- Fixed: CF7 Styler - Acceptance Checkbox not visible when Custom Style is disabled.
- Fixed: Video - Fatal PHP error while using private Vimeo videos.

Version 1.35.3 - Tuesday, 6th December 2022
- Fixed: Advanced Posts - Pagination shows same posts repeatedly.
- Fixed: Video - Video autoplays even if Autoplay setting is set to No.

Version 1.35.2, Thursday, 24th November 2022
- Improvement: Google Map - Added an option Load Default Google fonts.
- Improvement: Modal Popup - Stop audio in the content when Popup is closed.
- Fixed: CF7 Styler - Select field layout issue on Safari browser.
- Fixed: Gravity Form Styler - Select field layout issue on Safari browser.
- Fixed: Image Carousel - Incorrect counter in lightbox.
- Fixed: Redirection issue to the proper URL based on the site url.
- Fixed: Video - Enable Double Click on Mobile setting not working properly.

Version 1.35.1, Tuesday, 11th October 2022
- Improvement: Advanced Posts - Made Filterable Tabs accessible.
- Improvement: Advanced Posts - Used wp_raise_memory_limit() instead of ini_set().
- Improvement: How-to Schema - Removed UABB text to support branding.
- Improvement: Login Form - Updated JS library for Google login.
- Improvement: Video - Added alt attribute for Default Thumbnail.
- Fixed: Advanced Menu - Layout issue with mega menu.
- Fixed: Advanced Posts - Resolved PHP error.
- Fixed: Heading - The alignment setting is not working for mobile devices.
- Fixed: Social Login settings not visible in UABB settings.
- Fixed: Video - External Video URL link is not working.
- Fixed: Woo - Mini Cart - Fatal error when used in Astra Custom Layout and Rankmath plugin is active.
- Fixed: Woo - Products - Pagination is not working when source is set to Main Query.

Version 1.35.0, Wednesday, 7th September 2022
- New: Rollback to previous versions feature.
- Improvement: Contact Form 7 Styler - Added style support for acceptance field checkbox.
- Improvement: Modal Popup - Updated related videos setting for YouTube.
- Fixed: Advanced Posts - Console error while using theme Twenty Twenty-Two.
- Fixed: Advanced Posts - Pagination not working on single post pages.
- Fixed: Contact Form - Resolved PHP warning.
- Fixed: Image/Icon - Image not visible in Safari browser when Image Type is set to Photo.
- Fixed: Info Circle - Resolved accessibility issue.
- Fixed: Modal Popup - Using Saved Row in content increases height of parent row in editor.
- Fixed: Social Share - Image type Photo is not working.
- Fixed: Subscription Form - Name Field values are not saved while subscribing through Groundhogg Service.

Version 1.34.6, Monday, 16th May 2022
- Improvement: Advanced Accordion - Added a filter hook "uabb_acc_scroll_animation" to enable or disable scroll animation.
- Fixed: Advanced Menu - Responsive padding setting is not working with the off-canvas layout.
- Fixed: Advanced Tab - On the scroll down action, tabs collapse on mobile devices.
- Fixed: Advanced Posts - Box-shadow issue in the carousel layout.
- Fixed: Advanced Posts - Post custom meta query not working with the Events Calendar plugin.
- Fixed: Devices - Image alt tag accessibility issue.
- Fixed: Video - Console error when playing a self-hosted video.
- Fixed: Video Gallery - Resolved accessibility issue.
- Fixed: Video Gallery - Resolved carousel layout issue when video type is self-hosted.

Version 1.34.5, Thursday, 10th March 2022
- Improvement: Countdown - Added dynamic field option.
- Improvement: FAQ - Added a filter hook "uabb_faq_scroll_animation" to enable or disable scroll animation.
- Fixed: Advanced posts - Layout not visible properly when used as a saved module in Content Toggle/Advanced Accordion/ Advanced Tabs content.
- Fixed: Contact Form - Sending blank emails when a form is used in a modal popup and a popup is added on a page multiple times.
- Fixed: Dual button - The radius is not getting applied to the buttons.
- Fixed: Photo Gallery - Layout not visible properly when used as a saved module in Content Toggle/Advanced Accordion/ Advanced Tabs content.

Version 1.34.4, Tuesday, 1st February 2022
- Improvement: Advanced Timeline - Added WPML support to the Label text.
- Fixed: Advanced Posts - Fatal error with ACF in some cases.

Version 1.34.3, Thursday, 27th January 2022
- Fixed: Advanced Menu - Black box appearing below submenu when using the 2021 theme.
- Fixed: Advanced Posts - ACF repeater fields not working in Custom Post Layout.
- Fixed: Advanced Posts - Carousel dots and arrows get black background when using the 2021 theme.
- Fixed: Devices - Image size issue when Type is Tablet and Orientation is landscape.
- Fixed: IHover - Link added in the Description not working in some effects.
- Fixed: Image Carousel - Carousel dots and arrows get black background when using the 2021 theme.
- Fixed: Retina image - Resolved PHP warning with PHP Version 8 in some cases.
- Fixed: Social Share - Print option not working properly.
- Fixed: Video - Resolved PHP Notice when alt text is empty for Thumbnail.
- Fixed: Video Gallery - Carousel dots and arrows get black background when using the 2021 theme.
- Fixed: Woo - Categories - Carousel dots and arrows get black background when using the 2021 theme.
- Fixed: Woo - Products- Carousel dots and arrows get black background when using the 2021 theme.

Version 1.34.2, Thursday, 23rd December 2021
- Fixed: Advanced Icons - Fixed 'Links are not crawlable' error when link is empty.
- Improvement: Info Box - Added aria-label attribute to CTA link for Complete Box.
- Improvement: Video - Added alt attribute support for Custom Thumbnail.

Version 1.34.1, Thursday, 9th December 2021
- Fixed: Advanced Timeline - Link to Complete Box setting not working for Posts Content Type.
- Fixed: Conflict with BB Assistant in some UABB modules.
- Fixed: Image Carousel - Layout issue when used as saved module in Content Toggle/Advanced Accordion/ Advanced Tabs content.
- Fixed: Info Box - PHP error with v8 in some cases.
- Fixed: Photo Gallery - Layout issue when used as saved module in Content Toggle/Advanced Accordion/ Advanced Tabs content.

Version 1.34.0, Wednesday, 6th October 2021
- New: Login Form - Added preset designs.
- New: Marketing Button - Added preset designs.
- New: Social Share - Added preset designs.
- New: User Registration Form - Added preset designs.
- Improvement: Info Box - Added gradient field options for Gradient Button Style.
- Improvement: Login Form - Added icon support to the Login button.
- Improvement: Login Form - Added option to make Remember Me text and Login button inline.
- Improvement: Login Form - Added icon support to Username and Password fields.
- Improvement: Marketing Button - Added option for Flare Animation.
- Improvement: Photo Gallery - Added functionality to scroll to the filter tabs when opening specific tab using URL.
- Improvement: User Registration Form - Added icon support to form fields.
- Improvement: User Registration Form - Added option Show/Hide Terms and Conditions Text.
- Fixed: Advanced Tabs - Accordion toggle icons in responsive layout don't load in some cases.
- Fixed: Advanced Tabs - Default Tab icons are not visible on the front end.
- Fixed: Testimonials - Fatal error with PHP v8 in some cases.
- Fixed: Gravity Forms Styler - JS error with the Gravity Forms v2.5 onwards.
- Fixed: Login Form - Remember Me functionality not working.
- Fixed: User Registration Form - Column Gap setting not working.
- Fixed: Woo-Products - Sale flash layout issue in modern skin.

Version 1.33.0, Thursday, 9th September 2021
- New: Introduced Advanced Timeline module.
- Improvement: Button - Added support for Tablet devices for Alignment setting.
- Improvement: FAQ Schema - Added functionality to open a specific FAQ Accordion Item from URL.
- Improvement: Info List - Added option to change the thickness of Connector Line.
- Improvement: Video - Added Border settings.
- Fixed: iHover - Effect 13 is not working properly.
- Fixed: Login Form - Checkbox for Remember Me not working.
- Fixed: Modal Popup - Close on Overlay click setting is not working when Woo-Mini Cart module is added on same page.
- Fixed: Woo-Mini Cart - Cart Content is misaligned on archive pages.
- Fixed: Woo-Products - Add to Cart functionality is not working from Quick View for Variable Product.
- Fixed: Woo-Products - Columns setting not working on archive pages.

Version 1.32.0, Monday, 2nd August 2021
- New: Introduced Star Rating module.
- Improvement: Added WPML integration using wpml-config.xml file.
- Improvement: Optimized CSS & JS in the plugin for improving Core Web Vitals.
- Fixed: Advanced Tabs - Title typography settings are not working properly.
- Fixed: Off-canvas - Padding settings not working for all the buttons styles.
- Fixed: Off-canvas - Full-width Button option not working for default style.
- Fixed: Social Share - Auto layout not working as expected for the responsive devices.

Version 1.31.3, Wednesday, 21st July 2021
- Improvement: Keep the settings lightbox open after applying Preset to improve UX.
- Improvement: Info List - Added aria-label attribute to link.
- Improvement: Interactive Banner 2 - Added aria-label attribute to link.
- Fixed: Woo-Mini Cart - Cart Content is not clickable when Cart Style is Modal and Off-Canvas.

Version 1.31.2, Tuesday, 13th July 2021
- Fixed: Advanced Testimonials - Fatal error with PHP v8 when Image/Icon Size is empty.
- Fixed: Social Share - PHP notice when Social Share Type is Pinterest and no image is set.
- Fixed: Woo-Products - Grid & Carousel layout breaks on archive pages.
- Fixed: Woo-Categories - Grid & Carousel layout breaks on archive pages.

Version 1.31.1, Friday, 2nd July 2021
- Fixed: Heading - Description text gets disappeared after updating to latest version.

Version 1.31.0, Thursday, 1st July 2021
- New: Advanced Accordion - Added preset designs
- New: Advanced Tabs - Added preset designs
- New: Business Hours - Added preset designs
- New: Dual Buttons - Added preset designs
- New: Dual Color Heading - Added preset designs
- New: FAQ Schema - Added preset designs
- New: Heading - Added preset designs
- New: Info Box - Added preset designs
- New: Countdown - Added preset designs
- New: Team - Added preset designs
- Improvement: Added new default designs for modules
- Improvement: Advanced Tab - Added Tab spacing options for horizontal layout.
- Improvement: Team - Added Border setting for the complete box.
- Improvement: Team - Added a single Background setting for the complete box.
- Improvement: Advanced Icons - Added aria-label attribute to link.
- Improvement: Button - Added aria-label attribute to link.
- Improvement: Video - Added title attribute to iframe in Video module.
- Improvement: Business Reviews - Added responsive support for carousel arrows.
- Improvement: Woo-Products - Added filter to change Quick View text.
- Fixed: Advanced Testimonials - Icon dynamic CSS was not being applied when the layout is selected as Box.
- Fixed: Advanced Menu - Menu text color option is not working with rgba color code.
- Fixed: Dual Buttons - Border radius not working for mobile devices.
- Fixed: Heading - Heading Bottom Margin is overridden if we add another Heading Module in the Themer Layout.
- Fixed: Woo-Products - When Source is ACF Relationship respective settings are not shown.

Version 1.30.6, Thursday, 27th May 2021
- Fixed: Advanced Menu - Desktop menu disappears when Responsive Layout is Below Row.
- Fixed: Advanced Testimonials - Fatal error with PHP v8.

Version 1.30.5, Monday, 24th May 2021
- Improvement: Advanced Testimonials - Added responsive support for Image/Icon Size.
- Improvement: Dual Button - Changes in settings UI.
- Improvement: Heading: Added WPML support to the Link field.
- Improvement: Advanced Menu - Added Menu Label Typography option for Responsive Navigation.
- Improvement: Modal Popup - Added field connection support for color fields.
- Improvement: Photo gallery - Added filter to modify Filterable tabs
- Fixed: Conflict between Image Carousel and Business Reviews Carousel layout.
- Fixed: Advanced Posts - Custom Size option for Featured Image not working as expected.
- Fixed: Advanced Posts - Accessibility errors with Carousel layout.
- Fixed: Advanced Menu - CLS issue with Responsive Below Row layout.
- Fixed: Advanced Testimonials - Spacing not working in between paragraph as expected.
- Fixed: Woo-Mini Cart - Close Cart on Overlay Click functionality is not working in Modal & Off-Canvas Cart Style.
- Fixed: Woo-Mini Cart - Badge Position & Color changes after publishing.

Version 1.30.4, Wednesday, 28th April 2021
- Improvement: Advanced Tabs - Added Title Description option.
- Improvement: Advanced Tabs - Added right position for vertical Tab layout.
- Improvement: Advanced Menu - Added Styling option for Responsive Navigation.
- Improvement: Dual Button - Added RTL support.
- Fixed: User Registration Form - Not working on multisite.
- Fixed: User Registration Form – Phone field data not saved in a user profile.
- Fixed: Advanced Menu - When Collapse Menu is Yes for responsive, the menu is expanded for some time while loading.
- Fixed: Table of Contents - Module is expanded for some time while loading when set to Keep Collapsed Initially.
- Deprecated - Caldera Forms Styler - Revoked support for new users.

Version 1.30.3 Tuesday, 30th March 2021
- Improvement: Advanced Posts: Added option for Default WordPress Format in Date Format setting.
- Improvement: Advanced Posts: Added option to link Complete Box in CTA setting.
- Improvement: Countdown – Added separator option.
- Improvement: Countdown – Added Box shadow option.
- Improvement: Table of Contents - Added WPML support.
- Improvement: Video Gallery - Added `Do not Track` option for Vimeo for GDPR compliance.
- Improvement: Woo-Categories: Added filters to change Product count strings.
- Fixed: Advanced Menu - Desktop menu disappears when Collapse Menu setting is enabled.
- Fixed: Fancy Text - JS error when double quotes are used in Fancy Text.
- Fixed: Flip Box - Both sides are shown on hover when Overall Vertical Alignment is set to No.
- Fixed: Woo-Products - Page doesn't scroll to top of module when visited to next page in Pagination.

Version 1.30.2 Monday, 8th March 2021
- Improvement: Added Compatibility with WordPress 5.7
- Improvement: Video - Add `Do not Track` option for Vimeo for GDPR compliance.
- Fixed: Heading - Typography settings not working when a link is added.
- Fixed: Photo Gallery - Display order not maintained with pagination.

Version 1.30.1 Friday, 26th February 2021
- Fixed: Video - Not able to play the video with YouTube and Vimeo option.

Version 1.30.0 Tuesday, 23rd February 2021
- New: Introduced Search module
- Improvement: Particle Backgrounds - Replaced particles.js with tsParticles for better performance
- Improvement: Price List - Added 'alt' attribute support for images
- Improvement: Video - Added self hosted video option
- Improvement: Video Gallery - Added Self Hosted video type
- Fixed: Advanced Posts - Empty 'img' tag is rendered when there is no featured image
- Fixed: Advanced Posts - Layout issue when used in the Advanced Tabs Content
- Fixed: Photo Gallery - Resolved PHP warning error for Photo Spacing option
- Fixed: Woo-Categories - Carousel layout issue due to conflict with Advanced Posts module
- Fixed: Woo-Mini Cart - Cart Buttons not working properly in Modal & Off-Canvas layout
- Fixed: Woo-Mini-Cart - Cart Container Alignment issue in Dropdown layout

Version 1.29.0 Wednesday, 20th January 2021
- New: Introduced Woo - Mini Cart module.
- Improvement: Advanced Icon - Added responsive support for Icon size.
- Improvement: Photo Gallery - Added responsive support for photo spacing setting.
- Improvement: Retina image - Added alt tag support for both images in module.
- Fix: Button - Border settings not working as expected with all the styles.
- Fix: Marketing Button - HTML rendering issue in the settings field.
- Fix: Price Box - Typography settings not showing in some cases.
- Fix: Subscription Form - Handled ADA compliance error for extra HTML.
- Fix: Video Gallery: Filterable Tab Border settings not working as expected.
- Fix: Video Gallery: Filterable Tab Typography not working.

Version 1.28.10 Tuesday, 15th December 2020
- Improvement: Compatibility with PHP v8.0.
- Improvement: Advanced Posts - Added Taxonomy Badge option.
- Improvement: Advanced Posts - Added options to add icons for Post Meta.
- Improvement: Advanced Posts - Added Inter Post Meta Spacing option.
- Improvement: Advanced Posts - Added Bottom Spacing option for Taxonomy Badge, Title & Meta.
- Improvement: Image/Icon - Added WPML support.
- Improvement: User Registration Form - Added Phone field.
- Improvement: User Registration Form - Added option to make Register Button and Login Link inline.
- Improvement: User Registration Form - Added option to set Lost Your Password Text above Terms and Conditions.
- Fixed: Google Map - Window scrolls down on close of InfoWindow on Chrome.
- Fixed: How-to Schema - Added 'title' attributes to steps images.
- Fixed: Price Box - Title background color width issue.
- Fixed: Woo - Products - Grid layout issue with BB theme on archive pages.

Version 1.28.9 Wednesday 4th November 2020
- Improvement: Advanced Menu - Added Hamburger Icon Size option.
- Improvement: Advanced Menu - Improved Accessibility for all types of menu.
- Improvement: Heading - Added spacing option for separator
- Improvement: Hotspot - Provided filters to change the tour navigation strings.
- Fixed: Advanced Menu - Sub menu not displayed on Internet Explorer
- Fixed: Advanced Tabs - Active Tab Index setting not working properly.
- Fixed: Font Awesome 5 Pro conflict in some UABB modules.
- Fixed: Info Box - Box Shadow not working properly
- Fixed: Off-Canvas - Close Canvas on Menu Link conflict with sub menu.
- Fixed: Photo Gallery - CreativeWork warning for Caption.
- Fixed: User Registration Form - Added WordPress 5.5 password check compatibility.
- Fixed: User Registration Form - Password not getting saved when new user is created
- Fixed: WPForms Styler - Checked Color setting not working for Checkbox.

Version 1.28.8 Friday, 16th October 2020
- Fixed: Info List - Layout stacking issue in some cases
- Fixed: Table - Body Cells Padding not working in Responsive Stacked layout

Version 1.28.7 Wednesday, 7th October 2020
- Improvement: Dual Button - Added border settings for each button
- Improvement: Dual Color Heading - Added background text option
- Improvement: Dual Color Heading - Added background fill option
- Improvement: Dual Color Heading - Added inline and stack option for headings
- Improvement: Dual Color Heading - Added separate typography for both headings
- Improvement: Dual Color Heading - Option to add text after the Heading
- Improvement: Heading - Added background text option
- Improvement: Heading - Added fill background image and gradient option
- Improvement: Heading - Added Description position option
- Improvement: Info Box - Added option for Border Radius
- Improvement: Info Box - Added Image / Icon Spacing option
- Improvement: Price Box - Added Heading icon option
- Improvement: Price Box - Added Featured List icon option
- Improvement: Price Box - Added Offering Price Option
- Improvement: Price Box - Added Ribbon option
- Improvement: Price Box - Added Price Position option
- Improvement: Price Box - Added Box Padding and Item Padding options for Feature List
- Improvement: Price Box - Added Box Shadow option
- Improvement: Info List - Added an option to align list
- Improvement: Fancy Text - Added New animations
- Improvement: Price List - Added none border option for Connector Line style
- Improvement: Table - Added responsive support
- Fixed: Advanced Posts - Posts layout issue with Grid layout
- Fixed: Dual Button - Border Hover Color setting not working
- Fixed: FAQ Schema - Active FAQ background color not working
- Fixed: Heading - Alignment setting not working for Description
- Fixed: Info Box - Border setting not working properly in some themes
- Fixed: Table - Border is applied even if set to zero
- Fixed: Price List - Layout issue when Image is not set
- Fixed: Price List - Connector hover color not working

Version 1.28.6 Tuesday, 15th September 2020
- Fixed: Info Box: Resolved default padding causing layout issue.
- Fixed: Image Carousel: Enable Arrow settings conflict in mobile devices
- Fixed: Video Gallery: Typography settings not visible for caption when set to Always

Version 1.28.5 Tuesday, 8th September 2020
- Improvement: Info Box - Added Box Shadow settings
- Improvement: Table of Contents - RankMath plugin compatibility added
- Fixed: Advanced Posts - Issue with Taxonomy Filters showing empty categories
- Fixed: Advanced Tab - Min-height issue in the content layout
- Fixed: Content Toggle - Issue with Toggle animation not working after the first switch
- Fixed: Woo-Products - Issue with Pagination not working
- Fixed: Woo-Products - Issue with variable product images not reflecting in quick view

Version 1.28.4 Thursday, 20th August 2020
- Improvement: Social Share - Added new styles, floating share buttons and UI improvements
- Improvement: Advanced Posts - Added settings to change meta separator
- Improvement: Advanced Posts - Open filterable tab from URL
- Improvement: FAQ - Enable multiple schema on a page
- Improvement: Image Carousel - Added Fade effect and Dots Navigation in Carousel
- Fixed: Advanced Posts - Categories are not fetched properly when post type is Products
- Fixed: Advanced Posts - Equal Height Boxes option not working for Grid Layout
- Fixed: Advanced Posts - Posts overlapping issue with Scroll Pagination for Grid Layout
- Fixed: Font Awesome Pro not working with some modules
- Fixed: Woo-Products - Fixed Checkout page error for logged out users

Version 1.28.3 Wednesday, 12th August 2020
- Improvement: Compatibility to WordPress 5.5

Version 1.28.2 Friday, 31st July 2020
- Fix - Gravity Forms Styler - Resolved JS error 'gform' is not defined.

Version 1.28.1 Wednesday, 29th July 2020
- Improvement: Advanced Posts - Added Taxonomy filters for grid Layout.
- Improvement: Advanced Menu - Improved accessibility.
- Improvement: Table - Added alignment option for each cell.
- Fixed: Gravity Forms Styler - Added compatibility with Gravity Form v2.5.
- Fixed: Interactive Banner 2 - Overlay Color option conflict with custom height settings.
- Fixed: Woo-Products - Resolved issue with Draft products showing when Pagination is active.
- Fixed: Woo-Products - Resolved issue with Out of Stock products showing when Pagination is active.

Version 1.28.0 Monday, 20th July 2020
- New: Introduced Fluent Form Styler
- Improvement: Advanced Icons - Added responsive support for Spacing
- Improvement: Advanced Menu - Added option to Collapse Menu for Responsive Accordion layout
- Improvement: Photo Gallery - Added Pagination support
- Improvement: Photo Gallery - Added Box Shadow option for Images
- Fixed: Advanced Posts - Resolved PHP notice error with PHP version 7.4
- Fixed: Advanced Tabs - Width issue in Responsive Accordion Mode when Tab Layout is Vertical
- Fixed: Advanced Testimonials - Rectified the issue with filters to change next and previous arrows
- Fixed: Business Reviews - Reload Reviews setting option not working properly
- Fixed: Contact Form - Button background color not working when Button Style set to Default
- Fixed: Call To Action - Hover state for button not working when Button style set to Transparent
- Fixed: Woo-Products - Fixed the issue with Add to Cart for logged out users in Modern Skin

Version 1.27.0 Wednesday, 24th June 2020
- New: Introduced Devices module
- Improvement: Advanced Tab - Added focus color settings
- Improvement: Contact Form - Added reCAPTCHA v3 support
- Improvement: Gravity Form Styler - Added style support for the labels and multi-step navigation text
- Improvement: Off-Canvas - Added Sub Menu toggle option for Menu Content Type
- Fixed: Advanced Menu - JS error when Custom Breakpoints field is empty
- Fixed: Interactive Banner 2 - CSS conflict with the custom height settings
- Fixed: Social Share - Pinterest Share not working due to use missing image
- Fixed: Gravity Forms Styler - Hide form title & description on submit
- Fixed: Woo-Products - Add To Cart success message not displayed in Quick View for Variable Products

Version 1.26.7 Monday, 15th June 2020
- New: Users can now share non-personal usage data to help us test and develop better products. ( <a href="https://store.brainstormforce.com/usage-tracking/?utm_source=changelog&utm_medium=changelog&utm_campaign=usage_tracking" target="_blank" rel="noopener">Know More</a> )
- Improvement: Added font-display property for Ultimate Icons to improve PageSpeed score

Version 1.26.6 Tuesday, 9th June 2020
- Improvement: Login Form - Added loader icon for Google and Facebook login buttons.
- Improvement: Photo Gallery - Added functionality to open a specific Filterable Tab from URL.
- Improvement: User Registration Form - Added optional Terms and Conditions to comply with GDPR.
- Fixed: Default Button padding issue with few themes.
- Fixed: Dual Button - Padding setting not working when Button Style set to Default.
- Fixed: Login Form - View password option alignment issue.
- Fixed: User Registration Form - Allowed usage of multiple Registration Forms on the same page.
- Fixed: Video Gallery - Videos in Filterable Tabs are not loaded when Row ID is used in the URL.
- Fixed: Woo-Products - Grouped products not getting added to cart from quick view.

Version 1.26.5 Tuesday, 12th May 2020
- Improvement: FAQ - Added accessibility support for Accordion Layout
- Improvement: Image Carousel - Added option to enable/disable on-hover-pause for slider
- Improvement: Image Carousel - Added option to disable arrows on small devices
- Improvement: Registration Form - Added Password match functionality for Confirm Password
- Improvement: Video gallery - Added an option to display Caption Always
- Improvement: Woo-Products - Added Main Query option for Source
- Fixed: Button - HTML rendering issue in the settings field
- Fixed: Off-canvas - Off-canvas won't trigger on Firefox version less than 65
- Fixed: Login Form - Wrong label for password input field
- Fixed: Woo-Products - Title Hover Color not working
- Fixed: Woo-Products - Issue with older Beaver Builder version (less than v2.2)

Version 1.26.4 Tuesday, 5th May 2020
- Security Fix: Registration Form - Allow user registration if anyone can register option is enabled from the WordPress backend

Version 1.26.3 Thursday, 23rd April 2020
- Improvement: Advanced Tabs - Added option Active Tab index for default active tab
- Improvement: Advanced Tab - Added vertical tabs layout
- Improvement: Button - UI & UX improvement in module
- Improvement: Login Form - Added loader icon when user clicks login button
- Improvement: Login Form - Added View Password option
- Improvement: Modal Popup - Added Border setting option
- Fixed: HTML rendering issue in settings field in some modules
- Fixed: Retina Image - Issue with the image width
- Fixed: Slide Box - Issue with WPML plugin with CTA Button

Version 1.26.2 - Thursday, 9th April 2020
- Improvement: Added accessibility support for modules.
- Improvement: Hardened the security of the plugin.
- Improvement: Particle Backgrounds - Optimised Row / Column JavaScript.
- Fixed: Button - Button text hover color not working with Transparent style.
- Fixed: Interactive Banner 2 - Connection field issue fixed.
- Fixed: Price List - WPML Translation not working issue fixed.
- Fixed: Woo-Products - Custom flash content not working for variable products.
- Fixed: Woo-Products - UI issue with BB theme.

Version 1.26.1 - Thursday, 26th March 2020
- Improvement: Button - Added focus style effect to the background color, text color, and border-color
- Improvement: FAQ - Added equal height setting for the grid style
- Fixed: Advanced Posts - Post content border settings not working
- Fixed: Contact Form - Message required field setting not working
- Fixed: Retina Image - Issue with Beaver Themer when header set to sticky
- Fixed: Slide box - Drop down icon doesn't change in style 2 settings
- Fixed: Woo Products - Quick View add to cart button not working

Version 1.26.0 - Wednesday, 11th March 2020
- New: Introduced Caldera Form Styler
- Improvement: Business Reviews - Added a filter to change the review date format
- Improvement: Video - Added structured data support
- Fixed: Dual Button - Button border-radius setting not working when button style set as default
- Fixed: Dual Button - Button text-color setting not working when button-type setting set as vertical in case of the default style
- Fixed: Dual Button - Button icon spacing not working when join button setting set as no in case of the default style
- Fixed: HTML rendering issue in settings field in some modules
- Fixed: Woo - Add To Cart - Resolved CSS rendering issue when button style is transparent
- Fixed: WPForms Styler - Fixed font size not working for input fields

Version 1.25.2 - Wednesday, 19th February 2020
- Improvement: Testimonials - Added photo connection to photo field setting
- Improvement: Simple Separator - Added responsive support for alignment setting option
- Fixed: Advanced Posts - Scroll pagination conflict with multiple Advanced Posts on the Single page
- Fixed: Button padding settings not working when button style set as default in some specific module
- Fixed: Countdown - Added missing overall alignment setting field
- Fixed: FAQ -  Resolved parsing error in the schema markup
- Fixed: HTML rendering issue in settings field in some modules
- Fixed: Info List - Division by zero PHP warning for image size
- Fixed: User Registration Form - Register button typography setting not working
- Fixed: Woo Products -  Resolved PHP notice error in Woo Products module

Version 1.25.1 - Monday, 10th February 2020
- Improvement: Hardened the security of plugin
- Improvement: Compatibility with latest WordPress PHP_CodeSniffer rules

Version 1.25.0 - Wednesday, 22th January 2020
- Security Fix: Cross-site scripting (XSS) vulnerability.
- New: Introduced FAQ with Schema Support
- Improvement: Advanced Testimonials - Added position support for Star Rating
- Improvement: Contact Form - Added Color setting option for Button Icon
- Improvement: Improve Background Process Notice dismissing logic
- Improvement: Re-structured and optimized the codebase to improve the security
- Fixed: Advanced posts - Added New Message section in General Tab and shifted the No Result Message field in that section
- Fixed: Contact Form - Resolved JavaScript undefined error when Message field is set to Hide but Required setting is set to the Yes
- Fixed: Off-Canvas - Display On Image Alignment Settings option not working
- Fixed: Resolved PHP error when copying the style from some specific module
- Fixed: Table of Contents -  Contents not working with the unique special characters

Version 1.24.3 - Thursday, 9th January 2020
- Improvement: Advanced Post - Added dots support for carousel layout
- Improvement: Advanced Posts - Added Border settings option for Post Content
- Improvement: Testimonials - Added filter for custom Next & Previous Arrows
- Improvement: User Registration Form - Applied translation to Client side error messages
- Improvement: Woo-Categories - Added new option 'Menu Order' for Order By Filter Setting
- Fixed: Info Box: Fixed image layout with custom background for images
- Fixed: Modal Popup - Overlay scroll not working when closed with Overlay option or ESC key
- Fixed: Marketing-button: Background Hover color setting is not working when an external link is set
- Fixed: Off-Canvas - Double Scroll in Firefox browser when Off-Canvas is triggered
- Fixed: Photo - Resolve PHP notice when Photo Source is set to URL
- Fixed: Retina Image - Added URL connections to Link URL Setting
- Fixed: Render plugin shortname prefix when the Beaver Builder editor is enabled
- Fixed: User Registration Form - Resolved PHP warning error in User Registration Form Module
- Fixed: Woo-Categories - Order By Description option in Filter Settings is not working

Version 1.24.2 - Thursday, 26th December 2019
- Improvement: Added Astra Theme Button compatibility from v2.2.0 for Button module
- Improvement: Added new style type Default for Button
- Improvement: Advanced posts - Added New Filter option "Match all related except" for Categories and Tags
- Improvement: Business Reviews - Added a Filter to display reviews in a language other than English
- Improvement: Login Form - Improved authentication functionality.
- Improvement: Modal Popup - Added alt tag for images
- Fixed: Info Box - Minimum Height Setting not working correctly for Responsive Devices
- Fixed: Modal Popup - Title Padding Setting not working correctly for Responsive Devices
- Fixed: Off-Canvas - Off-Canvas is getting triggered in preview mode when it is saved as global and triggered using custom Class/Id
- Fixed: Particle Backgrounds - Resolved z-index overlapping issue with all module content
- Fixed: Particle Backgrounds - Resolved JavaScript undefined error for Wordpress 5.3
- Fixed: Row Separator - Resolved z-index overlapping issue with all module content
- Fixed: Table of Contents - Smooth Scroll not working on iOS devices having version less than 13

Version 1.24.1 - Wednesday, 11th December 2019
- Security Fix: Login Form - Improved user data validation from Google and Facebook APIs before login.

Version 1.24.0 - Tuesday, 19th November 2019
- New: Introduced How-to Schema
- New: Introduced Login Form
- Improvement: Added filter to change the default Admin Email in Contact Form module.
- Improvement: Testimonials - Added Alignment setting option for Rating with Responsive support
- Fixed: Heading - Resolved Yoast SEO readability issue

Version 1.23.1 - Thursday, 24th October 2019
- Fixed: Off Canvas - Resolved PHP notice error in Off Canvas Module
- Fixed: Forms can't be selected in CF7 Styler, Gravity Form Styler & WPForms Styler Modules if Beaver Builder version is less than 2.2
- Fixed: Table of Contents - Resolved unable to get headings while using Beaver Builder theme.

Version 1.23.0 - Tuesday, 22th October 2019
- New: Introduced Table of Contents
- Improvement: Optimized database calls while fetching CF7 Styler, Gravity Form Styler, WPForms Styler Forms
- Improvement: Added opacity support to the UABB Global Settings
- Fixed: Background Process Notice appears after sometime even after dismissing
- Fixed: User Registration Form - Calls to Password Strength Meter Script even if Module is not enabled on the page

Version 1.22.0 - Monday, 7th October 2019
- New: Introduced User Registration Form
- Improvement: Price Box - Added WPML support
- Improvement: Slide Box - Added WPML support
- Improvement: Business Reviews - Deprecated Reviews schema support
- Fixed: Video Gallery - Resolved PHP error when video module is disabled from UABB settings

Version 1.21.0 - Tuesday, 24th September 2019
- New: Introduced Retina Image
- Improvement: Video - Added Wistia  hosted videos support
- Improvement: Video Gallery - Added Wistia  hosted videos support
- Improvement: Heading: Added opacity support to the separator color field
- Fixed: Branding is not applying correctly to the Background process notice

Version 1.20.2 - Thursday, 12th September 2019
- Improvement: Introduced background process to change all the HotLink Image URLs.This process will download images from the UABB Template Cloud and upload it to your media library.Earlier all the Image URLs used to come from our server. With this update all of them will be uploaded to your media library.
- Fixed: Heading - Resolved font issue of text being enlarged

Version 1.20.1 - Monday, 19th August 2019
- Improvement: Advanced Menu - Added Responsive support for Navigation Alignment settings options
- Improvement: Heading - Added Background color and Padding setting options for Heading
- Improvement: Heading - Added Filter for removing default space between Description Paragraph
- Improvement: Price Box - Added Padding settings option for Price Box
- Improvement: Added filter for Carousel Next & Previous Arrows
- Fixed: Woo - Add To Cart - Resolved fatal error when WooCommerce plugin is deactivated and Add to Cart module is used
- Fixed: Line breaks in paragraphs not working while editing certain modules in the editor
- Fixed: Resolved JavaScript error when Photo field is empty in some cases

Version 1.20.0 - Monday, 5th August 2019
- New: Introduced WPForms Styler
- Improvement: Business Hours - Added WPML support
- Fixed: Heading - Heading Font size not overriding Theme's Font size in some cases

Version 1.19.0 - Wednesday, 17th July 2019
- New: Introduced Off Canvas
- Improvement: Image / Icon - Added Responsive field support to the Alignment
- Improvement: Heading - Added opacity support to the color field
- Fixed: Advanced Menu - Link Padding settings not reflecting in preview mode
- Fixed: Fancy Text - Fancy Text color overriding Row Text color
- Fixed: Fancy Text - Text color overriding Column Text color
- Fixed: Particle Backgrounds - Resolved JavaScript error when Column Group is used

Version 1.18.2 - Monday, 1st July 2019
- Improvement: Business Reviews - Improved Schema Rating.

Version 1.18.1 - Thursday, 27th June 2019
- Fixed: Business Reviews - Missing required field value for all schema types in case of Google reviews

Version 1.18.0 - Wednesday, 26th June 2019
- New: Introduced Business Reviews
- Improvement: Price Box - Add field connection support to the module
- Fixed: Advanced Menu - Resolved menu's Link padding issue on mobile devices for OffCanavs layout
- Fixed: Contact Form - Submit Button Text overriding Beaver Builder Theme Button Text color
- Fixed: Fixed Font Awesome-5 icon not visible in some cases
- Fixed: Gravity Form Styler - Resolved CheckBox Background color issue when the Background color set to RGB
- Fixed: Row Separator - Resolved overlapping issue with all module content
- Fixed: Resolved Font awesome icon conflict with Shortcode for Font Awesome plugin
- Fixed: Video Gallery - Hover Animation settings not working correctly

Version 1.17.1 - Tuesday, 28th May 2019
- Fixed: Gravity Form Styler - Resolved Checkbox Background color issue when the Background color is set to RGB
- Fixed: Particle Backgrounds - Resolved JavaScript error on IE browser

Version 1.17.0 - Monday, 20th May 2019
- New: Introduced Column Particle Backgrounds
- New: Introduced Row Particle Backgrounds
- Improvement: Added Font Awesome-5 support to Carousel Layout of all modules
- Improvement: Video - Added ALT tag for thumbnail
- Improvement: Video - Added aspect ratio of 1:1
- Fixed: Advanced Menu - Resolved Toggle menu label Typography issue
- Fixed: Heading - Fixed Heading Font weight issue when <strong> tag used in heading content
- Fixed: Modal Popup - Resolved Thumbnail issue for Vimeo video type
- Fixed: Photo Gallery - Fixed Filterable Tab not clickable when category name is multiple words
- Fixed: Subscribe Form - Resolved the Terms and Conditions Checkbox not clicking issue when using same Saved Module multiple times on the same page
- Fixed: Video - Fixed Enable Double Click on Mobile setting not working correctly
- Fixed: Video Gallery - Resolved Light Box Navigation issue with multiple Video Gallery on the same page

Version 1.16.5 - Monday, 22nd April 2019
- Improvement: Photo Gallery - Added Filterable Photo Gallery feature
- Improvement: Image Carousel - Added nofollow settings option
- Fixed: Advanced Tabs - Resolved Content Alignment issue
- Fixed: iHover - Non Numeric value notice for Spacing in rare cases

Version 1.16.4 - Thursday, 11th April 2019
- Fixed: Hotspot - Resolved curved tooltip pointer style issue with the icon
- Fixed: Hotspot - Resolved link not clickable issue with tour tooltip

Version 1.16.3 - Friday, 5th April 2019
- Improvement: Added Font Awesome-5 support to all modules

Version 1.16.2 - Tuesday, 2nd April 2019
- Fixed: Hotspot - Resolved Action Link extending issue with the same row content
- Fixed: Text translation issue on Dashboard and Frontend while your site is not in default English language

Version 1.16.1 - Monday, 1st April 2019
- Improvement: Hotspot - Added Hotspot Tour feature
- Improvement: Video - Added settings to enable Double Click over Custom Thumbnail on mobile view
- Improvement: Video - Added a filter for Video URL to modify YouTube or Vimeo Query Strings
- Improvement: Defined constant to disable the Branding settings permanently
- Improvement: Optimized database calls while fetching Saved Modules, Saved Rows and Saved Templates
- Fixed: Advanced Posts - Taxonomy Filter settings not working for Custom Post Type
- Fixed: Contact Form - Resolved preview issue of Terms and Condition Typography settings
- Fixed: Heading - Fixed Heading Line Height issue with lower values
- Fixed: Hotspot - Resolved Marker Padding issue on adding new markers
- Fixed: Video - Fixed AutoPlay settings not working correctly

Version 1.16.0 - Tuesday, 12th March 2019
- New: Introduced Marketing Button
- Improvement: Fancy Text - Added p Tag support for Title
- Improvement: Hotspot - Individual Marker name added to the module editor's initial form
- Fixed: Advanced Posts - Fixed extra space around the comma separator for the tag
- Fixed: Info Circle - Resolved Background Image overlay issue on mobile devices

Version 1.15.1 - Tuesday, February 26, 2019
- Improvement: Video - Added sticky video feature
- Fixed: Countdown - Resolved Border Width issue

Version 1.15.0 - Thursday, February 14, 2019
- New: Introduced Price List
- Improvement: Dual Button - Added nofollow settings option
- Improvement: Info Circle - Added nofollow settings option
- Improvement: Slide Box - Added nofollow settings option
- Improvement: Gravity Form Styler - Optimized database calls while fetching forms
- Fixed: Advanced Posts - Fixed Taxonomy Filter settings not working correctly
- Fixed: Advanced Posts - PHP 7.1 compatibility errors
- Fixed: Advanced Tabs - Fixed Tab is not closing on the mobile devices
- Fixed: Modal Popup - Resolved warning related to HTTP with Vimeo video type for private videos.
- Fixed: Photo Gallery - Resolved Column Width issue on mobile devices
- Fixed: Woo Products -  Resolved Carousel layout overlapping issue on IE browser

Version 1.14.4 - Thursday, 31st January 2019
- Fixed: Advanced Menu - Fixed Show Border settings not working correctly
- Fixed: Advanced Menu - Resolved default Sub Menu Border Width issue
- Fixed: Advanced Icon - Resolved Background Color Opacity issue
- Fixed: Button - Fixed Link nofollow option not working correctly
- Fixed: CF7 Styler - Resolved default Border Width issue
- Fixed: Gravity Form Styler - Resolved default Border Width issue
- Fixed: Heading - Fixed Mobile alignment not working correctly
- Fixed: Info Box - Fixed Background Color Opacity settings
- Fixed: Info Box - Resolved Text  nofollow option not working
- Fixed: Modal Popup - Fixed Mobile alignment not working correctly
- Fixed: Table - Typography settings not reflecting for preview mode
- Fixed: Video Gallery - Resolved default Border Width issue
- Fixed: Woo Products - Resolved console error of Invalid or Unexpected Token

Version 1.14.3 - Tuesday, 15th January 2019
- Fixed: Advanced Menu - Sub menu Typography settings not working in case of Beaver Builder 2.2
- Fixed: Advanced Posts - Fixed Date Box background color issue
- Fixed: Contact Form - Resolved undefined error when Terms and Conditions Checkbox is enabled
- Fixed: Gravity Form Styler - Resolved default Border Width issue
- Fixed: Photo - Link target option not working in case of Beaver Builder 2.2
- Fixed: Info Box - Link option not working in case of Beaver Builder 2.2
- Fixed: Info List - Description Typography settings not working in case of Beaver Builder 2.2

Version 1.14.2 - Friday, 11th January 2019
- Fixed: Info Box - Fixed Icon and Image alignment issue
- Fixed: Advanced Separator - Fixed Text Content width issue
- Fixed: Non Numeric value notice for line height in rare cases

Version 1.14.1 - Thursday, 10th January 2019
- Fixed: UABB settings Modules list not displaying in some cases

Version 1.14.0 - Thursday, 10th January 2019
- New: Added Typography field compatibility with Beaver Builder 2.2
- New: Added Border field compatibility with Beaver Builder 2.2
- New: Added Link field compatibility with Beaver Builder 2.2
- Improvement: Added color connections to all color fields
- Improvement: Added slider support to all unit fields
- Improvement: Advanced Posts - Added Selection Order option under Sort By filter
- Improvement: Added Docs Tab for knowledge base
- Improvement: Deprecated Hide Border on Mobile settings from Column settings
- Improvement: If Beaver Builder's Column Shadow is enabled it will override UABB's Column Shadow
- Improvement: Interactive Banner 1 - Added nofollow settings option
- Improvement: Subscription Form - Updated Terms and Conditions option design for Inline Layout
- Fixed: Advanced Posts - Fixed extra space around the comma separator for the tag categories
- Fixed: Contact Form - Resolved Uncaught ReferenceError when Slideshow module of Beaver Builder is used below Contact Form
- Fixed: Photo - Resolved SVG disappearing on enabling Beaver Themer's shrink option in Header
- Fixed: Table - Custom Column Width option not working
- Fixed: Added a notice on the UABB settings Module List page alerting users to enable modules when not found on frontend

Version 1.13.2 - Wednesday, 31st October 2018
- Improvement: Content Toggle - Open a specific toggle content from URL
- Improvement: Info Box - Added Hover color settings option
- Improvement: Modal Popup - Deprecated "Disable Video Title" setting option for YouTube video
- Improvement: Video - Deprecated "Player title and Actions" settings option for YouTube video
- Improvement: Added nofollow link option to Info Table, Photo, Creative Link and Team modules
- Fixed: Info Circle - CTA button link color not working
- Fixed: Subscription Form - Styling and font options not working for email field

Version 1.13.1 - Tuesday, 23rd October 2018
- Fixed: Table - Fixed Show Entries not rendering with default 'All' label
- Fixed: Video Gallery - PHP 5.3 compatibility errors

Version 1.13.0 - Friday, 19th October 2018
- New: Introduced Video Gallery
- Improvement: Advanced Menu - Updated SVG for Hamburger Icon
- Improvement: Contact Form - Added a new filter uabb_contact_form_error_message to update the error message for Terms and conditions
- Improvement: Table - Added help link for troubleshooting CSV file upload errors
- Improvement: Table - Deprecated responsive stack layout option and improved responsive design with scrollbar functionality
- Improvement: Video - Added responsive settings option for YouTube Subscriber Bar
- Improvement: Rendering magnific-popup CSS and JS from the Beaver Builder
- Fixed: Countdown - Fixed Conflict with multiple Countdowns with Reset timer on a single page
- Fixed: Info Box - Link nofollow option not working for complete box link type
- Fixed: Table - Fixed conflict with Awesome Support and BBPress WordPress plugins
- Fixed: Loading Saved Rows, Saved Templates, Saved Modules only when Beaver Builder editor is active
- Fixed: Replaced duplicate masonry and carousel JS of UABB by setting it as Global

Version 1.12.0 - Wednesday, 3rd October 2018
- New: Introduced Table
- Improvement: Modal Popup - YouTube, Vimeo, iFrame optimization
- Improvement: Video - Added field connections support for all relevant options
- Fixed: Advanced Accordion - Resolved icon overlapping issue in preview with icon animation
- Fixed: Advanced Menu - Resolved alignment issue with Responsive Navigation having none selected
- Fixed: Heading - Fixed Title line height values showing px on medium device instead of em
- Fixed: Video - Fixed Vimeo default icon moving upwards issue on increasing icon size
- Fixed: Video - Resolved warning related to HTTP with Vimeo video type

Version 1.11.0 - Thursday, 6th September 2018
- New: Introduced Video
- Improvement: Advanced Menu - Added Below Row option which will open the menu in full width as earlier in single column
- Improvement: Dual Color Heading - Added link options for both the headings
- Improvement: Image Carousel - Resolved jQuery warnings related to ready and load
- Improvement: Replaced Text field with Beaver Builder's unit field
- Improvement: Testimonials - Added new filter to change rating icon
- Improvement: Added update notice if BB version is less than 2.0.7
- Fixed: Advanced Menu - Fixed Overlay Menu layout issue when BB Editor Lightbox is pinned left or right of the screen
- Fixed: Advanced Posts - Fixed Uncaught error for class 'lessc' with Beaver Builder's development version
- Fixed: Content Toggle - Fixed Conflict with multiple Content Toggle inside a single row
- Fixed: Content Toggle - Fixed Content Toggle default toggle value does not reflect default after visiting another page and coming back to it
- Fixed: Info Box - Fixed Button text color not responding in preview mode
- Fixed: Team - URL option of Member Image Source not working in Team module unless Image added for Media Library option
- Fixed: Ultimate Gradient - Resolved Unexpected token console error
- Fixed: Woo - Add to Cart - Fixed border color issue on preview
- Fixed: Render plugin shortname prefix css when the Beaver Builder editor is enabled

Version 1.10.0 - Thursday, 2nd August 2018
- New: Introduced Woo - Products
- New: Introduced Woo - Categories
- New: Introduced Woo - Add to Cart
- Fixed: Countdown - Resolved Invalid or Unexpected Token console error

Version 1.9.0 - Thursday, 26th July 2018
- New: Introduced Business Hours
- Improvement: CF7 Styler - Added help field in Use Custom Style option on how to use this field
- Improvement: CF7 Styler - Added Top and Bottom Margin options for Submit button
- Improvement: Contact Form - Added Top and Bottom Margin options for Submit button
- Improvement: Gravity Form Styler - Added Top and Bottom Margin options for Submit button
- Improvement: Image Carousel - Added filters to add custom Photo size
- Improvement: Subscription Form - Added Bottom Margin option for Submit button
- Improvement: Module's categories are now ready to translate
- Improvement: Plugin's code formatted
- Fixed: Button - Need to set icon for setting photo with after text position
- Fixed: Contact Form - Phone field input color, background color not reflecting in preview mode
- Fixed: Contact Form - Form padding is not applying to Form
- Fixed: Fancy Text - Accept single and double quotes in prefix and suffix fields
- Fixed: Gravity Form Styler- Input text color not working for Select box, Conditional select box
- Fixed: Gravity Form Styler- Background color not working for Conditional select box
- Fixed: Info Box - Resolved default padding issue
- Fixed: Photo Gallery - Photo Size filter not working
- Fixed: Text Transform values not applying in certain cases

Version 1.8.3 - Monday, 9th July 2018
- Improvement: Advanced Posts - Added support for ACF Relationship fields
- Improvement: Button Module - Updated Gradient style with two colors and direction field
- Improvement: Flip Box - Added Image option for Flip Box front Image type
- Improvement: Info Circle - Added overlay option to Background Image for Info Circle item
- Improvement: Added multiple default skins for Google Maps JSON Styles
- Fixed: Advanced Accordion - Icon Preview not working for Right and Bottom
- Fixed: Advanced Posts - Fixed alignment issue of Grid layout for medium devices
- Fixed: Advanced Posts - Font size is not working for author name
- Fixed: Advanced Posts - Post stack issue is fixed for masonry layout
- Fixed: Advanced Menu - Sub menu text color preview not working
- Fixed: Button - Fixed text color not responding in preview mode
- Fixed: Button - Fixed column text color overriding button text color issue
- Fixed: Call to Action - Overall alignment issue in preview mode
- Fixed: Google Map - Broken link updated for JSON styles
- Fixed: Gravity Form - Styles not applying to the Enhanced User Interface Select Box
- Fixed: iHover Module - Front Image overlapping on responsive devices on click
- Fixed: Info Table - Added to default value "Read More" for CTA button
- Fixed: Input text color not reflecting in preview mode of Subscription form, Contact Form, CF7 Form
- Fixed: Info Box - Resolved blank space with empty Info Box title and prefix
- Fixed: Interactive Banner 2 - On click action not working on Firefox browser's responsive mode
- Fixed: Modal Popup - Overlay click not working when scroll is applied on Exit Intent option
- Fixed: Modal Popup - Video placeholder added for YouTube and Vimeo content
- Fixed: Spacer Module - Adjustment issue with modules and columns
- Fixed: UABB Gradient - Fixed Gradient field's layout
- Fixed: Transform values of module not inheriting theme's transform values

Version 1.8.2 - Thursday, 21st June 2018
- Improvement: Advanced Posts - Added Exclude Current Post option
- Improvement: Content Toggle - Added connections to text and editor fields
- Improvement: Content Toggle - Added ON/OFF text fields under Label Box
- Improvement: Added Filter to enable modules in backend
- Fixed: Fancy Text - Resolved console error for input fields
- Fixed: Content Toggle - Updated Label Box ON/OFF values
- Fixed: CF7 Styler - Resolved CSS issue of reponsive options
- Fixed: Typography values not inheriting theme typography values

Version 1.8.1 - Wednesday, 20th June 2018
- Fixed: Advanced Menu - Default padding size is not applying to submenu
- Fixed: Advanced Menu - Submenu color not working
- Fixed: PHP fatal error produced by Price Box module

Version 1.8.0 - Tuesday, 19th June 2018
- New: Introduced Content Toggle
- Improvement: Added "Text Transform" and "Letter Spacing" option for all modules
- Fixed: Counter - Full Circle is visible in Internet Explorer while semi circle is selected
- Fixed: Gravity Form - Added support for the Select box
- Fixed: Google Map - Updated Latitude, Longitude tool link for Google Map
- Fixed: Info List - Title color not working when link is provided to the title
- Fixed: Modal Popup - Close button not displaying properly with title enabled
- Fixed: Slide Box - Console error issue fixed on responsive devices
- Fixed: Spacer / Gap - Fixed the issue of spacer jump
- Fixed: Emptying the current value for typography and dimension field inherits previous value
- Fixed: Module SVG icons breaking Beaver Builder editor on some servers
- Fixed: PHP warning on fresh installations

Version 1.7.3 - Monday, 21st May 2018
- Improvement: Contact Form - Added optional Terms and Conditions to comply with GDPR
- Improvement: Subscription Form - Added optional Terms and Conditions to comply with GDPR

Version 1.7.2 - Thursday, 10th May 2018
- Improvement: Updated the Template Cloud data for new typography & padding field compatibility
- Fixed: Improved performance of the field replacement functionlity
- Fixed: Reduced the frontend data render calls to help with performance

Version 1.7.1 - Thursday, 03rd May 2018
- Fixed: Price Box - Fixed PHP error produced by Price Box Module

Version 1.7.0 - Wednesday, 02nd May 2018
- New: Custom field compatibility with Beaver Builder 2.0
- Improvement: Testimonials - Added option to show Arrow and Dots in Navigation
- Improvement: Advanced Posts - Added option to change "All" text in Masonry Filter
- Improvement: Deprecated uabb-simplify field and replaced it with BB's unit field
- Improvement: Deprecated uabb-spacing field and replaced it with BB's dimension field
- Improvement: Deprecated uabb-toggle-switch field and replaced it with BB's select field
- Improvement: Deprecated uabb-datetimepicker field
- Fixed: Advanced Posts - Pagination issue with search page
- Fixed: Hotspot - Hotspot image not working in module settings
- Fixed: Social Share - Share link includes http rather than https
- Fixed: Advanced Post - Masonry Filter not working if language is not recognized
- Fixed: Remove duplicate uabb-js-breakpoint id

Version 1.6.9 - Wednesday, 21th February 2018
- Improvement: Contact Form - Add option to modify the processing text
- improvement: Info Box - Add Responsive height options for the infobox
- Improvement: Subscription Form - Add option to modify the processing text
- Fixed: Button - Icons visible even when icon type is set to none
- Fixed: Contact Form - Email submission from name should be the website's title
- Fixed: Fancy text - Fancy text jumps when heading width sizes are different
- Fixed: Modal popup - Modal Popup input fields cursor issue in iOS devices
- Fixed: Modal popup - Autoplay video generates flash at the beginning

Version 1.6.8 - Wednesday, 10th January 2018
- New: Introduced Column Shadow setting
- Improvement: Advanced Menu - Added responsive navigation alignment option
- Improvement: Contact Form - Added success/error message alignment option
- Improvement: Modal popup - Added option to hide video title and player controls on YouTube
- Improvement: Price Box - Added option to add custom class to the button link
- Improvement: Row Separator - Added filters to add custom row separators
- Improvement: Testimonials - Added field connections support to the author name, designation and testimonial field
- Improvement: Added plugin shortname prefix to all module's settings heading
- Improvement: Global Settings option visibility for UABB compatible themes
- Fixed: Advanced Posts - Pagination and redirection issues
- Fixed: Contact Form - Email delivery issue for some email providers
- Fixed: Contact Form - Added text loader on form submission
- Fixed: Counter - Counter number increment issue in IE
- Fixed: Google Maps - Google map's conflict with Beaver Themer
- Fixed: Google Maps - Unable to edit Google Map
- Fixed: Hotspot - Hotspot animation not working in Mozilla Firefox

Version 1.6.7 - Tuesday, 14th November 2017
- New: WPML Support
- New: Added option in branding tab to list all UABB modules under Core BB Modules
- Improvement: Advanced Accordion - Open accordion on link click from the same page
- Improvement: Advanced Posts - Added typography option to advanced posts taxonomy filter
- Improvement: Advanced Tabs - Open tab on link click from the same page
- Improvement: Google Map - Add name option to identify address
- Improvement: Modal popup - Option to hide related videos on YouTube
- Improvement: Info List - Replace getimagesize function which was affecting loading time
- Improvement: Info Box - Added option to add custom class to the button link
- Fixed: Gradient color field design conflict with BB 2.0
- Fixed: Modal popup - Close button on preview not visible
- Fixed: HotSpot - Fix tool-tip issue on Internet explorer and mobile devices

Version 1.6.6 - Tuesday, 3rd October 2017
- Improvement: Added nofollow options to all buttons and links
- Improvement: Advanced Posts - Added settings parameter to hooks
- Improvement: Counter - Added support for decimal numbers
- Improvement: Contact Form - Introduced reCaptcha option
- Improvement: Google Map - Introduced auto-zoom option, so that the Map centers itself based on the pinpoints
- Improvement: Info List - Added custom character option along with icons and images which lets you add numbered list
- Improvement: Social Share - Added Email share option
- Improvement: Testimonials - Introduced stack option for mobile devices
- Fixed: Image Separator - Unable to edit image separator
- Fixed: Price Box - Font-awesome icons do not load on front end

Version 1.6.5 - Thursday, 21st September 2017
- Security Fix: A cross-site scripting (XSS) vulnerability was discovered in html links, WordPress core has patched it's vulnerability in 4.8.2 release and we've also fix it for UABB
- Fixed: Google Map - JSON map style option not working
- Fixed: Row Separator - Duplicate class names while using custom class name

Version 1.6.4 - Tuesday, 19th September 2017
- Improvement: Advanced Menu - Option to add submenu icon in overlay and off-canvas layout
- Improvement: Advanced Posts - Added drop-down filter option for masonry layout
- Improvement: Contact Form - From field in the mail show sender name than the WordPress default name
- Improvement: Countdown - Added time zone option
- Improvement: Google Map - Added field connections support to the latitude & longitude field
- Improvement: Modal Popup - Added field connections support to the video URL field
- Improvement: Row Separator - Added new row separator styles
- Improvement: Row Separator - Added width option
- Fixed: Advanced Menu - List style being overridden by third-party applications
- Fixed: Advanced Posts - Fixed shortcodes in HTML attributes not being parsed in the context of the current post in the custom layout.
- Fixed: Countdown - Evergreen Countdown does not work with minutes
- Fixed: Countdown - Countdown module shows incorrect label for singular values
- Fixed: Fancy Text - Text overlap issue when slide effect is applied
- Fixed: Google Map - Map type option was not working
- Fixed: Modal Popup - Text Blur issue
- Fixed: Modal Popup - After closing modal audio/video player doesn't stop which is added by content
- Fixed: Photo - Changed field connection support to photo rather than a string, HTML
- Fixed: Row Separator - Tilt Left and Tilt Right doesn't go edge to edge
- Fixed: Row Separator - z-index issue in row separator and photo module

Version 1.6.3 - Tuesday, 29th August 2017
- Improvement: Photo Gallery - Get full-size image in lightbox rather than large
- Improvement: Info Circle - Icon background color opacity option
- Fixed: Row Separator - Bottom row separator duplicated to top row separator

Version 1.6.2 - Tuesday, 22nd August 2017
- Improvement: Advanced Posts - Added equal height option for masonry layout
- Improvement: Advanced Posts - Added custom icon support for arrows in carousel layout
- Improvement: Advanced Posts - Added filter uabb_advanced_post_title_link to control heading link
- Improvement: Advanced Posts - Added Beaver Themer shortcode support in CTA fields
- Improvement: Advanced Menu - Improved submenu text alignment when parent menu aligned to right
- Improvement: Advanced Menu - Introduced new actions uabb_advanced_menu_before and uabb_advanced_menu_after
- Improvement: Advanced Menu - Added overlay option to off canvas menu
- Improvement: Advanced Menu - Added option to manage submenu width
- Improvement: Advanced Menu - Partial refresh support for submenu
- Improvement: Before After Slider - Add alt text to the images
- Improvement: Button - Provided option to add photo or icon
- Improvement: Price Box - Introduced new action uabb_price_box_button to add custom HTML after price box button
- Improvement: Team - Added field connections support to the name field
- Improvement: UABB dashboard menu capability changed to "manage_options"
- Fixed: Image Carousel - Arrows not displayed on front end
- Fixed: Advanced Icons - Display icons if link is empty
- Fixed: Advanced Menu - Increase overlay z-index value
- Fixed: Advanced Menu - Close icon styling for overlay and off-canvas menu
- Fixed: Advanced Menu - Toggle button container width applying to whole menu container
- Fixed: Advanced Posts - Fixed PHP error produced by canonical redirection on single post
- Fixed: Advanced Posts - Number of posts to scroll issue on medium and small device in carousel layout
- Fixed: Dual Button - Custom width on preview showing width of single button
- Fixed: Row Separator - Prevent the output of empty div when no row separator is active
- Fixed: Row Separator - Top row separator background color compatibility issue

Version 1.6.1 - Wednesday, 2nd August, 2017
- Improvement: Advanced Posts - Introduced new actions uabb_blog_posts_before_image and uabb_blog_posts_after_image.
- Fixed: Advanced Posts - Existing user compatibility issue.

Version 1.6.0 - Tuesday, 1st August, 2017
- New: Advanced Menu
- New: Row Gradient Background
- New: Column Gradient Background
- Improvement: Branding settings - New options to hide Knowledge Base and Support Link.
- Improvement: Branding settings - In case of custom plugin short name, removed 'Modules' string from modules category panel.
- Improvement: Live preview for all possible options in all modules.
- Improvement: Mailchimp Subscription Form - Renamed Module to Subscription Form.
- Improvement: Gravity Form Styler - Support for Page Break field.
- Improvement: Subscription Form Module - Support for all third party mailers.
- Improvement: Add field connection support to the button form options.
- Improvement: Advanced Posts - Custom Layout Support.
- Improvement: Button - Added Custom Class Option.
- Improvement: Hide Global Settings button for UABB compatible themes.
- Fixed: Advanced Posts - Multiple isotope taxonomy filter on same page not working.
- Fixed: Info Circle - Custom icons looks smaller on frontend.
- Fixed: Advanced Accordion - Open accordion by URL console error fixed.
- Fixed: Advanced Tabs - Page breaks when used with saved template, modules and rows.
- Fixed: Photo - Source breaks when used with Beaver Themer connections.

Version 1.5.0 - Tuesday, 18th July, 2017
- New: Introduced CF7 Styler
- New: Progress Bar - Introduced Semi Circular layout
- Improvement: Advanced Posts - Added scroll option for pagination
- Improvement: Advanced Posts - Left image layout CSS fix
- Improvement: Counter - Added WordPress locale support for counter number format
- Improvement: Gravity Form Styler - Added Ajax on/off option.
- Improvement: Gravity Form Styler - Added Tab Index option.
- Improvement: Gravity Form Styler - Added options to style Radio Button and Checkboxes.
- Improvement: Counter - Added WordPress locale support for counter number format.
- Fixed: Advanced Tabs - Open tab by URL console error fixed.
- Fixed: Gravity Form Styler - Margin not applying to Select field, Radio Button and Checkbox.
- Fixed: Gravity Form Styler - Spacing issue while using the default classes of gravity form.

Version 1.4.7 - Tuesday, 4th July, 2017
- New: Introduced Gravity Forms Styler
- New: Counter - Introduced Semicircle counter type
- Improvement: Advanced Posts - Added "No Result Message" option for pagination
- Improvement: Advanced Posts - Added match - unnmatch filter in custom query builder
- Improvement: Advanced Posts - Added "Sort by Meta Value ( Alphabetical & Numeric )" option in custom query builder
- Improvement: Advanced Posts - Added "Remove Line Break" option to get content without paragraph & line break
- Improvement: Counter - Circle stroke size now applying from inside
- Fixed: Advanced Posts - Pagination visibility issue, when using main query in Beaver Themer template
- Fixed: Advanced Posts - Pagination breaks, if more than one Advanced Post module is used on same page
- Fixed: Contact Form - Text area and input placeholder alignment issues
- Fixed: Contact Form - RTL issue
- Fixed: Image Carousel - RTL issue
- Fixed: Info Box - RTL issue
- Fixed: Info List - Connector alignment and spacing issue

Version 1.4.6 - Thursday, 15th June, 2017
- New: Compatibility with Beaver Builder 2.0
- Improvement: Added new field connections support to the Progress Bar element.
- Fixed: UABB update not showinng up in the WordPress site management services like ManageWP or InfiniteWP etc.
- Fixed: Image Separator - Visiblity issue

Version 1.4.5 - Monday, 05th June, 2017
- Improvement: Advanced Posts - This module now uses FLBuilderLoop::query()
- Improvement: Advanced Posts - Added before/after actions for custom setting fields
- Improvement: Added new field connections support to the more elements
- Fixed: Advanced Posts - Fixed Layout Sort order input type hidden issue
- Fixed: Info List - Fixed typecast related notice issue for width option

Version 1.4.4 - Monday, 08th May, 2017
- New: Added Beaver Themer support, Use modules from ultimate beaver to create dynamic page layouts with Beaver Themer.
- Fixed: Photo Gallery - Photo Gallery's use in Advanced tab module

Version 1.4.3 - Wednesday, 03rd May, 2017
- Fixed: Sections and Templates not visible issue

Version 1.4.2 - Thursday, 27th April, 2017
- Fixed: Advanced Icon - Fallback condition added for background size
- Fixed: Advanced Posts - Fixed image fetching issue for Custom Image size
- Fixed: Advanced Separator - Fixed image display issue
- Fixed: Beaver Builder 1.10 compatibility
- Fixed: Contact Form - Placeholder color issue for Mozilla Firefox fixed
- Fixed: Image Carousel - CSS referencing issue fixed
- Fixed: Image Carousel - Light Box caption not visible issue fixed
- Fixed: Image Carousel - Link Target option added
- Fixed: iHover - Fixed Border color opacity issue
- Fixed: iHover - Fixed hover issue for small devices
- Fixed: iHover - Page scroll issue fixed
- Fixed: Image Separator - Fixed scroll bar issue on small devices
- Fixed: Info Box - Link issue fixed
- Fixed: Interactive Banner 1 - Added alt tag for images
- Fixed: Interactive Banner 2 - Added alt tag for images
- Fixed: Interactive Banner 2 - Fixed ipad visibility issue
- Fixed: Modal Popup - Issue on iPad with youtube video height
- Fixed: Modal Popup - Saved row page break issue fixed
- Fixed: Modal Popup - Trigger issue on small device fixed
- Fixed: Modal Popup - IE close button visibility issue fixed
- Improvement: Advanced Accordion - Added video support for content
- Improvement: Advanced Posts - Added actions for before/after of title, meta & content of posts
- Improvement: Advanced Posts - Added mobile view option for Left/Right Layout
- Improvement: Advanced Posts - Added filter to WP_Query arguments
- Improvement: Advanced Tabs - Added video support for content
- Improvement: Modal Popup - Added video support for content


Version 1.4.1 - Tuesday, 24th January, 2017
- Fixed: Before After Slider - Inital load issue fixed
- Fixed: Countdown - Evergreen Timer issue fixed
- Fixed: Contact Form - Input field theme conflict removed
- Fixed: Team - Issue with image width with accordion

Version 1.4.0 - Wednesday, 18 January, 2017
- New: Introduced Before After Slider Module
- New: Introduced Countdown Module
- New: Introduced Hotspot Module
- New: Introduced Image Carousel Module
- New: Introduced Social Share Module
- New: Global colors fetch from beaver builder & GeneratePress theme ( If UABB Global settings is off )
- Improvement: Advanced Posts - Added filter for custom image size
- Improvement: Advanced Posts - Added link from URL to masonry categories
- Improvement: Advanced Posts - Added 8 column support for posts
- Improvement: Advanced Posts - Introduced post meta sorting options
- Improvement: Advanced Posts - Introduced post layout sorting options
- Improvement: Advanced Posts - Organized all module settings
- Improvement: Advanced Posts - Added filter to give custom URL for posts
- Improvement: Advanced Accordion - Added link from URL to item using module ID and index
- Improvement: Advanced Tabs - Added link from URL to item using module ID and index
- Improvement: Info Table - CTA target option added
- Improvement: Photo Gallery - CTA target option added
- Improvement: Photo Gallery - Added filter to image sizes - uabb_photo_gallery_image_sizes
- Improvement: Team - CTA target option added
- Improvement: Team - Custom link to employee page option added
- Fixed: Advanced Accordion - IE issue fixed for js
- Fixed: Advanced Posts - Carousel scripts issue fixed
- Fixed: Advanced Posts - Date translation changes
- Fixed: Advanced Posts - Equal height calculations fired on resize event
- Fixed: Advanced Posts - Equal height on resize event fix
- Fixed: Advanced Posts - Image custom sizes persists actual size on Feeds style issue fix
- Fixed: Advanced Posts - JS issue fixed for Advanced Tabs triggers
- Fixed: Advanced Posts - Module overriding issue resolved
- Fixed: Advanced Posts - Post data query fix
- Fixed: Advanced Posts - Translation strings added for static labels
- Fixed: Advanced Tabs - Content hover color issue fixed
- Fixed: Advanced Testimonial - Triggers added for Advanced Tabs and Advanced Accordion
- Fixed: Button - Background opacity color not working
- Fixed: Contact Form - Email sending failed on global saved row issue fixes
- Fixed: Flip Box - IE jerk/visibility issue fixed
- Fixed: Fancy Text - Slide up, pause on hover issue fixed
- Fixed: Google Map - Console error issue fixed
- Fixed: iHover - Fixed edit issue in backend & popup click issue fixes
- Fixed: Info Circle - Icon Background Hover color not working fix added
- Fixed: Interactive Banner 1 - Image size script added for resize event too
- Fixed: Interactive Banner 1 - Fixed Modal Popup trigger issue on mobile devices
- Fixed: Image Separator - Fixed horizontal scroll issue
- Fixed: Modal Popup - Mozilla not closing issue fixed
- Fixed: Photo Gallery - Lightbox js issue fixed
- Fixed: Photo Gallery - Lightbox visibility issue when used with Modal Popup
- Fixed: Price Box - Highlight color issue fixed
- Fixed: Row Separator - Color Conflict with third party BB addon fixed
- Fixed: Team - Not selected image fix
- Fixed: Text Editor - Styling issue fixed


Version 1.3.1 - Thursday, 20 October, 2016
- New: WP-CLI - Now you can activate/deactivate your license using a WP-CLI command - "wp brainstormforce activate uabb <your-purchase-key>"
- Improvement: Advanced Posts - Handled canonical redirect case for pagination
- Fixed: Template Cloud - Compatibility issue with few hosting servers to download the templates
- Fixed: WP-CLI - Plugin activation issue


Version 1.3.0 - Tuesday, 18 October, 2016
- New: Introduced Separate Menu Page for UABB
- New: Introduced enable UABB module functionality in UABB itself to improve performance
- New: Introduced Template Cloud
- New: Introduced Modal Popup module
- New: Introduced Photo Gallery module
- New: Introduced Ribbon module
- Improvement: Dual Button - Added option for space between buttons
- Improvement: Advanced Posts - Added styling options for Pagination buttons
- Improvement: Advanced Posts - Added styling options for Masonry Filter buttons
- Improvement: Advanced Posts - Content formatting restored for excerpt and full content
- Improvement: Advanced Posts - Added developer friendly functions
- Improvement: Core - Added capability to override UABB modules
- Improvement: Dual Color Heading - Added responsive compatibility option
- Improvement: Google Map - Added support for multiple addresses
- Improvement: Info Box - Added Image / Icon vertical alignment option
- Improvement: Modal - Added class 'uabb-close-modal' to Close Modal from Content
- Improvement: Modal - Added Youtube and Vimeo autoplay option
- Improvement: Advanced Tabs - Added option for equal width
- Improvement: Button - Added option to apply the hover color to borders for transparent style
- Improvement: Contact Form - Added Color Options for Contact Form Validation
- Improvement: Contact Form - Added Email Template, New options for success and error messages
- Improvement: Contact Form - New options Background, Spacing and Radius
- Improvement: Flip Box - Added custom height option for medium and small devices
- Improvement: Image Separator - Added image size option for medium and small devices
- Improvement: Info Box - Added option for content padding if background / border is enabled
- Improvement: Interactive Banner 1 - You can link the complete module now.
- Improvement: Interactive Banner 2 - Image overlay color option added
- Improvement: Price Box - Added support for custom HTML tags
- Fixed: Advanced Post: Fixed issue with custom size image
- Fixed: Advanced Accordion - Container size issue
- Fixed: Advanced Tab - Double border in responsive view
- Fixed: Advanced Tab - Container size issue
- Fixed: Button - Transition fixed
- Fixed: CTA - Button auto & full width was not supported in some cases
- Fixed: Dynamik theme, CSS overide issue fixed
- Fixed: Google Map - API Key option not visible in multisite
- Fixed: Info Box - Icon / Image Hover Color issue if the complete module was linked
- Fixed: Info Circle - The background color was not working on mobile devices
- Fixed: Interactive Banner 2 - Image streach issue with custom height
- Fixed: Row Separator - Removed unwanted line seen on some device
- Fixed: Separator - Updated alignment dependency on width option
- Fixed: Template cloud - SSL verification issue from
- Fixed: Testimonials - Conflict with BB core module
- Fixed: Testimonials - Unusual space between title and image


Version 1.2.0 - Wednesday, 07 Septemeber, 2016
- New: Introduced White Label feature
- New: Introduced Info Circle module
- New: Introduced Mailchimp Subscriber Form module
- New: Introduced live preview feature
- New: Introduced row separator enable / disable option
- New: Infobox - Introduced gradient background
- Improvement: Advanced Accordion - Template selector support for content area
- Improvement: Advanced Separator - Added responsive compatibility for line with text style
- Improvement: Flip Box - Added content padding option
- Improvement: Advanced Tab - Template selector support for content area
- Improvement: Blog Posts - Equal height option for post's box in grid
- Improvement: Blog Posts - Pagination options added
- Improvement: Blog Posts - Filter buttons for easy categorization
- Improvement: Blog Posts - Date format option added
- Improvement: Dual Button - Auto calculate divider circle size
- Improvement: Progress Bar - Background image option for progress bars
- Improvement: Progress Bar - Circular style for progress bars
- Improvement: Testimonial - Pause on mouse hover option
- Improvement: Progress Bar - Added gradient option
- Improvement: Contact Form - Added icon options for submit button
- Fixed: Blog Posts - Sort by date issue
- Fixed: Contact Form - IE place holder alignment issue
- Fixed: Contact Form - Fixed email delivery issue using SMTP Plugin
- Fixed: Fancy Text - Responsive issue
- Fixed: Fancy Text - Cursor character issue
- Fixed: Flip Box - Empty back flip description issue
- Fixed: Google Map - API error message should visible to admin / logged in users only
- Fixed: iHover - Click not working on mobile phones
- Fixed: Price Box - Width issue
- Fixed: Row Separator - Extra gap between row & row separator
- Fixed: Testimonial - Adaptive height issue with fade transition


Version 1.1.0 - Monday, August 01, 2016
- New: Introduced Price Box module
- New: Introduced Template Manager setting page, now user can controls the display of templates in Sections panel
- Improvement: Advanced Separator - Introduced responsive image size option
- Improvement: Blog Posts - Introduced post count checks for carousel
- Improvement: Blog Posts - Improved custom excerpt character logic
- Improvement: Contact Form - Introduced input field padding options
- Improvement: Creative Menu - Introduced stack option for mobile devices
- Improvement: Creative Link - Introduced bottom margin option to control link bottom spacing
- Improvement: Fancy Text - Apply fancy effects when user in viewport
- Improvement: Flip Box - Introduced background image option for front & back flips
- Improvement: Info Banner - Introduced responsive image size option for background image
- Improvement: Info Box - Introduced revers order stacking option for responsive devices
- Improvement: Google Map - Added shortcode support for latitude, longitude and info text
- Improvement: Row Separator - Introduced row separator responsive size option
- Improvement: Row Separator - Introduced individual settings for top & bottom row separators
- Improvement: Price Box - In Responsive legend information visible over each property
- Fixed: Advanced Tab - Active tab background color issue
- Fixed: Advanced Tab - Navigation background applying in content issue
- Fixed: Advanced Testimonial - Adaptive height issue
- Fixed: Button - Vertical text alignment issue for custom style
- Fixed: Blog Posts - Draft, private posts should not display at frontend
- Fixed: Blog Posts - Post's column width issue
- Fixed: Contact Form - Submission email not delivered to recipient issue
- Fixed: Fancy Text - Slideup effect not works for single string
- Fixed: iHover - Image overlap issue of style 3
- Fixed: Info Banner - Browser compatibility issue
- Fixed: Layout CSS / JavaScript Editor - Cursor position bug
- Fixed: PHP 5.2 compatibility errors
- Fixed: Row Separator - Custom class conflict when row separator is enabled
- Fixed: Row Separator - Removed extra gap between row & row separator
- Fixed: Text alignment issue for Icon at right condition


Version 1.0.0 - Friday, July 08, 2016
- Initial Release
